/**
 *	Table of Content
 *
 *  # Sidebar
 *	# Header
 *  # Content
 *  # Footer
 */

/**
 *  # Sidebar
 */
.site-sidebar {
  width: 5rem;
  background: #ffffff;
  color: #006fff;
  border-right: 1px solid #006fff;
  padding: 1rem 0;
  transition: all .01s ease-in-out;
}
.site-sidebar.open .site-navigation .nav-link:hover {
  color: #006fff;
}
.site-sidebar.open {
  width: 15.625rem;
}
.site-brand {
  text-align: center;
  margin-bottom: 2rem;
}
.site-brand img {
  width: 100%;
}
.site-navigation {
  height: calc( 100vh - 1rem - 53px - 2rem );
  overflow-x: hidden;
  overflow-y: scroll;
}
.site-navigation::-webkit-scrollbar {
  width: .3125rem;
}
.site-navigation::-webkit-scrollbar-track {
  background: transparent;
}
.site-navigation::-webkit-scrollbar-thumb {
  border-radius: 6.25rem;
  background: rgba(0, 0, 0, .25);
}
.site-navigation::-webkit-scrollbar-thumb:hover {
  background: rgba(0, 0, 0, .5);
}
.site-navigation .nav-link:hover {
  color: #ffffff;
  background: rgba( 0, 0, 0, .1 );
}
.site-sidebar .site-navigation .nav-link {
  justify-content: center !important;
}
.site-sidebar.open .site-navigation .nav-link {
  justify-content: space-between !important;
}
.site-sidebar .site-navigation .navbar-text {
  display: none;
}
.site-sidebar.open .site-navigation .navbar-text {
  display: inline-block;
}
.site-sidebar .nav-link span > .material-icons {
  margin-right: 0;
}
.site-sidebar.open .nav-link span > .material-icons {
  margin-right: .625rem;
}
.site-sidebar .nav-link > .material-icons {
  display: none;
}
.site-sidebar.open .nav-link > .material-icons {
  display: inline-block;
}

/**
 *  # Header
 */
.site-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #006fff;
  color: #ffffff;
  padding: 0 1rem;
  height: 3.75rem;
}

/**
 *  # Content
 */
.site-content {
  padding: 1rem;
  height: calc( 100vh - 60px - 34px );
  overflow-x: hidden;
  overflow-y: auto;
}
.site-content::-webkit-scrollbar {
  width: .3125rem;
}
.site-content::-webkit-scrollbar-track {
  background: transparent;
}
.site-content::-webkit-scrollbar-thumb {
  border-radius: 6.25rem;
  background: #dedede;
}
.site-content::-webkit-scrollbar-thumb:hover {
  background: #bbbbbb;
}

/**
 *  # Footer
 */
.site-footer {
  background: #006fff;
  color: #ffffff;
  padding: .5rem 1rem;
  font-size: .75rem;
}